For the complete documentation index, see llms.txt. This page is also available as Markdown.

Extraction Microservice

changeExtractorStatus

put

This method is used to change the status of an extraction microservice.

Path parameters
idinteger · int32Required
enabledstring · enumRequiredPossible values:
Responses
200

OK

application/json
put/extraction-control/{id}/{enabled}
PUT /gbds/v2/extraction-control/{id}/{enabled} HTTP/1.1
Host: <ip>:8085
Accept: */*
{
  "data": [
    {
      "id": 1,
      "url": "text",
      "enabled": true,
      "library": "GINGER",
      "message": "text"
    }
  ]
}

removeExtractor

delete

This method is used to remove an extraction microservice.

Responses
200

OK

application/json
delete/extraction-control/remove
DELETE /gbds/v2/extraction-control/remove HTTP/1.1
Host: <ip>:8085
Accept: */*
{
  "data": [
    {
      "id": 1,
      "url": "text",
      "enabled": true,
      "library": "GINGER",
      "message": "text"
    }
  ]
}

listExtractors

get

This method is used to list all extraction microservice.

Responses
200

OK

application/json
get/extraction-control/list
GET /gbds/v2/extraction-control/list HTTP/1.1
Host: <ip>:8085
Accept: */*
{
  "data": [
    {
      "id": 1,
      "url": "text",
      "enabled": true,
      "library": "GINGER",
      "message": "text"
    }
  ]
}

addExtractors

post

This method is used to add a new extraction microservice.

Body
librarystring · enumOptionalPossible values:
countinteger · int32Optional
Responses
200

OK

application/json
post/extraction-control/add
POST /gbds/v2/extraction-control/add HTTP/1.1
Host: <ip>:8085
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "library": "GINGER",
  "count": 1
}
{
  "data": [
    {
      "id": 1,
      "url": "text",
      "enabled": true,
      "library": "GINGER",
      "message": "text"
    }
  ]
}

Last updated

Was this helpful?